variables:
  RANCHER_NAMESPACE: otakuwheelers
  HELM_RELEASE: otaku-wheelers-discord
  HELM_CHART: otaku-wheelers-discord
  CHART_NAME: otaku-wheelers-discord
  CONNECTION_IMAGE: $DOCKERFILE_IMAGE:$DOCKERFILE_TAG-$APP_VERSION
  KIND_CONFIG: ../.gitlab-ci/kind-config.yaml
  PROJECT_ID: $CI_PROJECT_ID
  QUEUE_IMAGE: $DOCKERFILE_IMAGE:$DOCKERFILE_TAG-$APP_VERSION
  HELM_VALUES_TEST: >
    --values=values-test.yaml
    --set bot.image=$CI_REGISTRY_IMAGE/cpp:$APP_VERSION
    $HELM_BUILD_VALUES \
  HELM_VALUES_PROD: >
    --values=values-prod.yaml
    --set bot.image=$CI_REGISTRY_IMAGE/cpp:$APP_VERSION
    $HELM_BUILD_VALUES \
  CPP_VERSION_PATH: TwistersFury
  CPP_VERSION_NAME: RawVersion.hpp
  DOCKER_DEVELOPMENT_TEST_COMMAND: '/usr/local/bin/otakuwheelers_club_discord version'
  DOCKER_PRODUCTION_TEST_COMMAND: '/usr/local/bin/otakuwheelers_club_discord version'
  DOCKERFILE_CONTEXT: '.'
  DOCKERFILE_PATH: docker/Dockerfile
  HUB_IMAGE: $CI_REGISTRY_IMAGE/$IMAGE_NAME
  IMAGE_NAME: cpp
  VERSION_IMAGE: $DOCKERFILE_IMAGE:$DOCKERFILE_TAG
  VERSION_SCRIPT: >
    set -e; /usr/local/bin/otakuwheelers_club_discord version | sed -r 's/[[:cntrl:]]\[[0-9]{1,3}m//g'
